petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetNumLocalSubDomains

Gets the number of local subdomains created upon decomposition.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetNumLocalSubDomains(DM da,PetscInt *Nsub)

Not collective

### Input Parameters

da -The DMDA

### Output Parameters

| Nsub | - Number of local subdomains created upon decomposition

### Keywords

distributed array, domain decomposition

### See Also

DMDACreateDomainDecomposition(), DMDASetNumLocalSubDomains(), DMDA

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages